package oop.Enumeration;

public class Main {
	
	 // وضعنا فيه 7 ثوابت Days إسمه enum هنا قمنا بتعريف
    enum Days {
        MONDAY,
        TUESDAY,
        WEDNESDAY,
        THURSDAY,
        FRIDAY,
        SATURDAY,
        SUNDAY;
        
        public void test() {
			System.out.println("Test");
		}
    }
    
	enum Size {

		// هنا قمنا بتعريف أسماء الثوابت و تحديد قيمهم
		SMALL(100), MEDIUM(150), LARGE(200), XLARGE(250);

		private int value;

		private Size(int value) {
			this.value = value;
		}
		
		

	}

	public static void main(String[] args) {

		Days.FRIDAY.test();

	}
}
